osl::DirectionPlayerTraits< Dir, BLACK > Struct Template Reference

`#include <directionTraits.h>`

## Static Public Member Functions

static const Offset | offset ()

## Static Public Attributes

static const Direction | directionByBlack =Dir

## Detailed Description

template<Direction Dir>
struct osl::DirectionPlayerTraits< Dir, BLACK >

Definition at line 245 of file directionTraits.h.

## Member Function Documentation

## offset()

template<Direction Dir>

const Offset osl::DirectionPlayerTraits< Dir, BLACK >::offset | ( |  | ) |

inline static

Definition at line 246 of file directionTraits.h.

References osl::DirectionTraits< Dir >::blackOffset().

## Member Data Documentation

## directionByBlack

template<Direction Dir>

const Direction osl::DirectionPlayerTraits< Dir, BLACK >::directionByBlack =Dir

static

Definition at line 249 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h